<% index_number = 0 %>
<div class="main-container">
  <div class="main-header">
    <div class="main-header__logo">
      <%= image_tag("LogoBKKFF2.svg", alt: "Logo") %>
      <div class="main-header__logo-title">Health Survey</div>
    </div>
    <div class="main-header__title"><%= t(:app_name_label) %></div>
  </div>
  <div class="main-content">
    <div class="main-content__item">
      <%= link_to community_surveys_path do %>
        <%= image_tag("community-survey.png", alt: "Logo") %>

        <p><%= index_number = running_number_index index_number %>.<%= t('community_survey.title_label') %></p>
      <% end %>
    </div>
    <% menus = ['house', 'house_health_survey', 'person', 'person_health_survey', 'home_visit' ]%>
    <% menus.each_with_index do |m, index|%>
      <div class="main-content__item">
        <a id="<%= "goto_#{m}_button" %>" class="popup">
          <%= image_tag("#{m}.png", alt: "Logo") %>
          <p><%= index_number = running_number_index index_number %>.<%= t("#{m}.title_label") %></p>
        </a>
      </div>
    <% end %>

    <% if current_user.role?(:admin)  || current_user.role?(:advanced) %>
      <div class="main-content__item">
        <%= link_to "/reports/admin/health_survey" do %>
          <%= image_tag("hs.png", alt: "Logo") %>
          <p><%= index_number = running_number_index index_number %>.<%= t('report.hs_admin_title_label') %></p>
        <% end %>
      </div>
      <div class="main-content__item">
        <%= link_to "/reports/admin/home_visit" do %>
          <%= image_tag("hv.png", alt: "Logo") %>
          <p><%= index_number = running_number_index index_number %>.<%= t('report.hv_admin_title_label') %></p>
        <% end %>
      </div>
    <% end %>

    <% if current_user.role?(:user) %>
      <div class="main-content__item">
        <%= link_to "/reports/site/health_survey" do %>
          <%= image_tag("hs.png", alt: "Logo") %>
          <p><%= index_number = running_number_index index_number %>.<%= t('report.hs_title_label') %></p>
        <% end %>
      </div>
    <% end %>

    <% if current_user.role?(:user) %>
      <div class="main-content__item">
        <%= link_to "/reports/site/home_visit" do %>
          <%= image_tag("hv.png", alt: "Logo") %>
          <p><%= index_number = running_number_index index_number %>.<%= t('report.hv_title_label') %></p>
        <% end %>
      </div>
    <% end %>
    

    <span id="data-to-tag-google-analytics">
      <span id="username"><%= current_user.username%></span>
      <span id="hospcode"><%= current_user.hospcode%></span>
    </span>
  </div>
</div>

<%= render 'shared/modal' %>

<script>
    $('#data-to-tag-google-analytics').hide();
    handleTagEventLogin($('#hospcode').text(),$('#username').text());
    $('.popup').popup();
</script> 

